Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class WaitForReportsItem

    java.lang.Object
      ix.icore.process.TimePoint
          ix.icore.process.PNode
              ix.ip2.AgendaItem
                  ix.ip2.ActivityItem
                      ix.ip2.WaitForReportsItem

All Implemented Interfaces:
  HasStatus

    public class WaitForReportsItem

extends ActivityItem

An agenda entry for a WaitForReportsActivity.

See Also:
  `WaitForReportsActivity`

Nested Class Summary

Nested classes/interfaces inherited from class ix.ip2.ActivityItem
`ActivityItem.UndoSetRefinement`

Nested classes/interfaces inherited from class ix.ip2.AgendaItem
`AgendaItem.UndoAddHistoryEvent, AgendaItem.UndoSetComments, AgendaItem.UndoSetPriority, AgendaItem.UndoSetStatus`

Nested classes/interfaces inherited from class ix.icore.process.PNode
`PNode.MakeVarIfUnbound`

Field Summary

Fields inherited from class ix.ip2.ActivityItem
`EXPANSION_REFINEMENT_NAME`

Fields inherited from class ix.ip2.AgendaItem
`actions, handledBy, listeners, reports`

Fields inherited from class ix.icore.process.PNode
`beginEnd, computeStatus, endEnd, level, modelManager, parent`

Fields inherited from class ix.icore.process.TimePoint
`tpn_mark`

Constructor Summary
`WaitForReportsItem(Activity activity)`

Method Summary
`boolean` | `actionCanBeTakenNow(HandlerAction act)`
`void` | `computeStatus()` computeStatus() is used to change the status of related nodes when a node changes its status.
`boolean` | `wantsActionsFrom(ItemHandler handler)` Gives this item its say in whether an item-handler should be able to give it handler actions.

Methods inherited from class ix.ip2.ActivityItem
`getExpansionRefinementName, makePNode, setRefinement`

Methods inherited from class ix.ip2.AgendaItem
`addAction, addHistoryEvent, addItemListener, addReport, assignStatus, clearActions, findAction, findAction, findAllActions, fireAgendaItemEdited, fireHandlerActionsChanged, fireNewHandlerAction, fireNewReport, firePriorityChanged, fireStatusChanged, getAbout, getActions, getComments, getHandledBy, getHistory, getHowHandled, getParent, getPattern, getPatternVars, getPriority, getReports, getShortDescription, getStatus, getUnboundVars, handleReportBack, hasAction, insertAction, isNew, setAbout, setComments, setHandledBy, setIsNew, setPattern, setPriority, setStatus, setStatusBasedOn, toString, wantsReport`

Methods inherited from class ix.icore.process.PNode
`addChild, allComputeStatus, allHaveStatus, ensureChildrenLinkedToParent, expandOneLevel, getBegin, getChildren, getEnd, getLevel, getModelManager, getParentPNode, getRefinement, getVarTable, isAncestorOf, isDescendentOf, isExpanded, isSiblingOf, processOrderings, setChildren, setVarTable, statusFromNodeEnds, unlink`

Methods inherited from class ix.icore.process.TimePoint
`addPostConstraint, addPreConstraint, getMaxTime, getMinTime, getPostConstraints, getPreConstraints, hasUnboundedMax, removePostConstraint, removePreConstraint, setMaxTime, setMinTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WaitForReportsItem

    public WaitForReportsItem(Activity activity)

Method Detail

### computeStatus

    public void computeStatus()

  Description copied from class: `PNode`
  computeStatus() is used to change the status of related nodes when a node changes its status.

  Specified by:
    `computeStatus` in interface `HasStatus`
  Overrides:
    `computeStatus` in class `PNode`

### wantsActionsFrom

    public boolean wantsActionsFrom(ItemHandler handler)

  Description copied from class: `AgendaItem`
  Gives this item its say in whether an item-handler should be able to give it handler actions.

  Overrides:
    `wantsActionsFrom` in class `AgendaItem`
  See Also:
    `ItemHandler.appliesTo(AgendaItem item)`

### actionCanBeTakenNow

    public boolean actionCanBeTakenNow(HandlerAction act)

  Overrides:
    `actionCanBeTakenNow` in class `AgendaItem`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD